## Remove a User

Remove a user from your merchant account.

This action will revoke the user's access to the merchant account.

## Endpoint signature

```http
POST https://api.reservepay.com/merchants/remove-user HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>

{
  user_id: string,
}
```

Returns: boolean

## Request arguments

### `user_id` (string)

**Required**. The unique identifier of the user to remove.

## Errors specific to this endpoint

### `NOT_FOUND`

The user with the provided ID could not be found in your merchant account. Verify that you're using the correct user ID.

### `NOT_REMOVABLE`

The merchant owner cannot be removed from the account.

## Errors common to all endpoints

### `UNHANDLED_ERROR`

This error occurs when the server encounters an unexpected internal error that
it cannot handle gracefully. This typically happens due to bugs, infrastructure
issues, or edge cases that weren't anticipated during development.

### `INVALID_ARGUMENTS`

This error occurs when the request contains invalid or missing parameters.
Common cases include missing required fields, or values that don't match the
expected format or type.

### `BAD_VERSION`

This error occurs when making requests to an API version that does not exist.
This commonly happens when using an outdated SDK or when the API version
specified in the request URL is incorrect.
